### Method

# FwupdPlugin Efivars get_data

#### Declaration [src]

    gboolean
    fu_efivars_get_data (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name,
      guint8** data,
      gsize* data_sz,
      FuEfiVariableAttrs* attr,
      GError** error
    )

#### Description [src]

Gets the data from a UEFI variable in NVRAM.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name` | `const gchar*`
| Variable name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `guint8**`
| Data to set.
| The data is owned by the caller of the function.
`data_sz` | `gsize*`
| Size of data.
| The data is owned by the caller of the function.
`attr` | `FuEfiVariableAttrs`
| `FuEfiVariableAttrs`, e.g. `FU_EFI_VARIABLE_ATTR_NON_VOLATILE`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.